### Function

# Gio Proxy get_default_for_protocol

since: 2.26

#### Declaration

    GProxy*
    g_proxy_get_default_for_protocol (
      const gchar* protocol
    )

#### Description

Find the `gio-proxy` extension point for a proxy implementation that supports the specified protocol.

Available since: 2.26

#### Parameters

`protocol`

  Type: `const gchar*`

  The proxy protocol name (e.g. http, socks, etc).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GProxy`

Return a `GProxy` or NULL if protocol is not supported.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.